declare const _default: {
    mass: {
        metric: {
            toBase: (v: any) => any;
            fromBase: (v: any) => any;
            units: {
                mg: {
                    ratio: number;
                };
                g: {
                    ratio: number;
                };
                kg: {
                    ratio: number;
                };
            };
        };
        us: {
            toBase: (v: any) => number;
            fromBase: (v: any) => number;
            units: {
                lb: {
                    ratio: number;
                };
                oz: {
                    ratio: number;
                };
            };
        };
    };
    volume: {
        metric: {
            toBase: (v: any) => any;
            fromBase: (v: any) => any;
            units: {
                l: {
                    ratio: number;
                };
                ml: {
                    ratio: number;
                };
            };
        };
        imperial: {
            toBase: (v: any) => number;
            fromBase: (v: any) => number;
            units: {
                ifloz: {
                    ratio: number;
                };
                ipt: {
                    ratio: number;
                };
                iqt: {
                    ratio: number;
                };
                igal: {
                    ratio: number;
                };
                ibbl: {
                    ratio: number;
                };
            };
        };
        us: {
            toBase: (v: any) => number;
            fromBase: (v: any) => number;
            units: {
                tsp: {
                    ratio: number;
                };
                tbsp: {
                    ratio: number;
                };
                floz: {
                    ratio: number;
                };
                cup: {
                    ratio: number;
                };
                pt: {
                    ratio: number;
                };
                qt: {
                    ratio: number;
                };
                gal: {
                    ratio: number;
                };
                bbl: {
                    ratio: number;
                };
            };
        };
    };
    color: {
        lovibond: {
            toBase: (lovibond: number) => number;
            fromBase: (srm: number) => number;
            units: {
                Lovi: {
                    ratio: number;
                };
            };
        };
        ebc: {
            toBase: (ebc: number) => number;
            fromBase: (srm: number) => number;
            units: {
                EBC: {
                    ratio: number;
                };
            };
        };
        srm: {
            toBase: (v: any) => any;
            fromBase: (v: any) => any;
            units: {
                SRM: {
                    ratio: number;
                };
                srm: {
                    ratio: number;
                };
            };
        };
    };
    gravity: {
        sg: {
            toBase: (v: any) => any;
            fromBase: (v: any) => any;
            units: {
                sg: {
                    ratio: number;
                    precision: number;
                };
            };
        };
        plato: {
            toBase: (e: number) => number;
            fromBase: (sg: number) => number;
            units: {
                plato: {
                    ratio: number;
                };
            };
        };
        brix: {
            toBase: (brix: number) => number;
            fromBase: (sg: number) => number;
            units: {
                brix: {
                    ratio: number;
                };
            };
        };
    };
    temperature: {
        celsius: {
            toBase: (v: any) => any;
            fromBase: (v: any) => any;
            units: {
                C: {
                    ratio: number;
                    precision: number;
                };
            };
        };
        fahrenheit: {
            toBase: (f: number) => number;
            fromBase: (c: number) => number;
            units: {
                F: {
                    ratio: number;
                    precision: number;
                };
            };
        };
    };
    time: {
        time: {
            toBase: (v: any) => any;
            fromBase: (v: any) => any;
            units: {
                sec: {
                    ratio: number;
                };
                min: {
                    ratio: number;
                };
                hr: {
                    ratio: number;
                };
                day: {
                    ratio: number;
                };
                week: {
                    ratio: number;
                };
                month: {
                    ratio: number;
                };
                year: {
                    ratio: number;
                };
            };
        };
    };
    pressure: {
        pressure: {
            toBase: (v: any) => any;
            fromBase: (v: any) => any;
            units: {
                kPa: {
                    ratio: number;
                };
                atm: {
                    ratio: number;
                };
                bar: {
                    ratio: number;
                };
                psi: {
                    ratio: number;
                };
            };
        };
    };
};
export default _default;
