import { calcCalories, carbonation, yeastCount, yeastNeeded, yeastStarterGrow } from './brewcalc';
import { bitternessIbuRager, bitternessIbuTinseth, bitternessRatio } from './hops';
import { convertMeasurableValue } from './units';
import { convert } from './converter/converter';
import { calcMashGrainWeight, recalculateMashSteps } from './mash';
import { calcBoilVolumes, calcMashVolumes } from './volumes';
import type { RecipeType, MashProcedureType, EquipmentItemType, GravityType, ColorType, PercentType, BitternessType, VolumeType, BoilProcedureType } from './types/beerjson';
import { calcOriginalGravity, calcFinalGravity, calcBoilGravity } from './gravity';
import { srmToCss, srmToRgb, calcColor } from './color';
import { calcABV } from './abv';
declare type Stats = {
    original_gravity: GravityType;
    final_gravity: GravityType;
    alcohol_by_volume: PercentType;
    ibu_estimate: BitternessType;
    color_estimate: ColorType;
};
declare type Volumes = {
    sparge_volume?: VolumeType;
    mash_volume?: VolumeType;
    total_volume?: VolumeType;
};
declare const calculateRecipeBeerJSON: (recipe: RecipeType, mash: MashProcedureType, equipment: {
    hlt?: EquipmentItemType;
    mash_tun?: EquipmentItemType;
    brew_kettle?: EquipmentItemType;
    fermenter?: EquipmentItemType;
}) => {
    stats: Stats;
    mash: MashProcedureType;
    boil: BoilProcedureType;
    volumes: Volumes;
};
export { convert, convertMeasurableValue, calcOriginalGravity, calcFinalGravity, calcBoilGravity, calcColor, srmToCss, srmToRgb, calcABV, bitternessIbuRager, bitternessIbuTinseth, bitternessRatio, calculateRecipeBeerJSON, calcBoilVolumes, calcMashVolumes, calcMashGrainWeight, recalculateMashSteps, calcCalories, carbonation, yeastCount, yeastNeeded, yeastStarterGrow, };
